cURL
curl --request GET \
--url https://grid.squads.xyz/api/v0/grid/smart-accounts/{smart_account_address}/virtual-accounts \
--header 'Authorization: Bearer <token>' \
--header 'X-Grid-Environment: <x-grid-environment>'import requests
url = "https://grid.squads.xyz/api/v0/grid/smart-accounts/{smart_account_address}/virtual-accounts"
headers = {
"X-Grid-Environment": "<x-grid-environment>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Grid-Environment': '<x-grid-environment>', Authorization: 'Bearer <token>'}
};
fetch('https://grid.squads.xyz/api/v0/grid/smart-accounts/{smart_account_address}/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"customer_id": "<string>",
"destination": {
"address": "<string>"
},
"id": "<string>",
"source_deposit_instructions": {
"bank_account_number": "<string>",
"bank_address": "<string>",
"bank_beneficiary_name": "<string>",
"bank_name": "<string>",
"bank_routing_number": "<string>",
"payment_rails": []
},
"developer_fee_percent": "0.02"
}
]{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}Smart Accounts
Get Virtual Accounts
Retrieves a list of existing virtual accounts for a smart account
GET
/
smart-accounts
/
{smart_account_address}
/
virtual-accounts
cURL
Authorizations
API Key for authentication
Headers
The environment you’re using. Can be sandbox or production.
Path Parameters
The address of the smart account to get virtual accounts for
Query Parameters
The source currency to filter virtual accounts by
The destination currency to filter virtual accounts by
Response
Successfully retrieved virtual accounts
Was this page helpful?
⌘I